### Class

# RB MetaData

#### Description [src]

    class RB.MetaData : GObject.Object
    {
      RBMetaDataPrivate* priv
    }

Provides a simple synchronous interface for metadata extraction and updating.

#### Ancestors

- GObject

#### Constructors

###### rb_metadata_new

Creates a new metadata backend instance.

#### Functions

###### rb_metadata_get_field_name

Returns the name of a metadata field.

###### rb_metadata_get_field_type

Returns the `GType` of the value for a metadata field.

#### Instance methods

###### rb_metadata_can_save

Checks if the metadata writer is capable of updating file metadata for a given media type.

###### rb_metadata_get

Retrieves the value of a metadata field extracted from the target URI. If the target URI contained no value for the field, returns FALSE.

###### rb_metadata_get_media_type

Returns the type of the file from which metadata was read. This may look like a MIME type, but it isn’t.

###### rb_metadata_get_missing_plugins

This function returns the information used to request automatic installation of media framework plugins required to decode the target URI. Use `g_strfreev()` to free the returned information arrays.

###### rb_metadata_get_saveable_types

Constructs a list of the media types for which the metadata backend implements tag saving.

###### rb_metadata_has_audio

No description available.

###### rb_metadata_has_missing_plugins

If the metadata reader could not decode the file it was asked to because one or more media framework plugins (specifically, for the existing implementations, GStreamer plugins) required are missing, this will return TRUE.

###### rb_metadata_has_other_data

No description available.

###### rb_metadata_has_video

No description available.

###### rb_metadata_load

Reads metadata information from the specified URI. Once this has returned successfully (with *error == NULL), rb_metadata_get, rb_metadata_get_media_type, rb_metadata_has_missing_plugins, and rb_metadata_get_missing_plugins can usefully be called.

###### rb_metadata_reset

Resets the state of the metadata interface. Call this before setting tags to be written to a file.

###### rb_metadata_save

Saves all metadata changes made with rb_metadata_set to the target URI.

###### rb_metadata_set

Sets a metadata field value. The value is only stored inside the `RBMetaData` object until rb_metadata_save is called.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct RBMetaDataClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.